import setuptools as st

with open("README.md", "r") as f:
  readme = f.read()

st.setup(
  name="twigen",
  version="0.6",
  author="Alexander Vekemans",
  author_email="alexander.vekemans@gmail.com",
  description="Twitch VOD highlights generator",
  long_description=readme,
  long_description_content_type="text/markdown",
  keywords="Twitch",
  url="https://github.com/vekemans/twigen",
  license="MIT",
  packages=st.find_packages(),
  install_requires=["tcd>=3.1.0", "youtube-dl>=2019.6.8"],
  python_requires=">=3.7",
  classifiers=[
    'Programming Language :: Python :: 3.7',
    'Intended Audience :: End Users/Desktop',
    'License :: OSI Approved :: MIT License',
  ],
  entry_points=
    """
      [console_scripts]
      twigen=twigen:arg.main
    """,
)
